# $Revision: 1.23 $, $Date: 2004/04/26 14:21:30 $
Summary:	Powerful command line CDROM player and tools
Summary(pl):	Odtwarzacz pyt CD wywoany z linii komend
Name:		cdtool
Version:	2.1.5
Release:	4
License:	GPL
Group:		Applications/System
Source0:	ftp://sunsite.unc.edu/pub/Linux/apps/sound/cdrom/cli/%{name}-%{version}.tar.gz
# Source0-md5:	23c6646240440a14087de1d6e4884abb
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A package of command-line utilities to play and catalog audio CD-ROMs.
This package includes cdstart, cdpause, cdstop, cdeject, and
cdshuffle. Also, cdctrl may be used as a CD-ROM control daemon. Cdown
allows querying of the cddb database to build a local database of
discs usable by cdinfo, etc.

%description -l pl
Pakiet zawiera odtwarzacz pyt CD wywoywany z linii komend. Korzysta z
CDDB.

%prep
%setup -q

%build
%{__make} clean noobjs cdown cdadd DEBUG_FLAGS="%{rpmcflags}"
%{__make} cdctrl DEBUG_FLAGS="%{rpmcflags} %{rpmldflags} -DCDCTRL"
%{__make} noobjs
%{__make} cdtool DEBUG_FLAGS="%{rpmcflags} %{rpmldflags}"
%{__make} links

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

cp -a cd{ctrl,ir,eject,info,loop,add,own,pause,reset,shuffle,start,stop,tool} \
	$RPM_BUILD_ROOT%{_bindir}
install {cdtool,cdctrl,cdown}.1 $RPM_BUILD_ROOT%{_mandir}/man1

echo .so cdtool.1 >$RPM_BUILD_ROOT%{_mandir}/man1/cdstart.1
echo .so cdtool.1 >$RPM_BUILD_ROOT%{_mandir}/man1/cdpause.1
echo .so cdtool.1 >$RPM_BUILD_ROOT%{_mandir}/man1/cdstop.1
echo .so cdtool.1 >$RPM_BUILD_ROOT%{_mandir}/man1/cdeject.1
echo .so cdtool.1 >$RPM_BUILD_ROOT%{_mandir}/man1/cdir.1
echo .so cdtool.1 >$RPM_BUILD_ROOT%{_mandir}/man1/cdinfo.1
echo .so cdtool.1 >$RPM_BUILD_ROOT%{_mandir}/man1/cdreset.1
echo .so cdtool.1 >$RPM_BUILD_ROOT%{_mandir}/man1/cdshuffle.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cdtool.spec,v $
Revision 1.23  2004/04/26 14:21:30  adamg
- release 4 for Ac (3 is for Ra)

Revision 1.22  2003/08/06 16:43:03  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.21  2003/05/28 12:58:48  malekith
- massive attack: source-md5

Revision 1.20  2003/05/25 05:46:11  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.19  2002/12/12 01:33:22  blues
- spelling fixes by Tomasz "Witek" Wittner <wittt_@poczta.onet.pl>

Revision 1.18  2002/12/02 11:06:15  ankry
- massive cleaning

Revision 1.17  2002/10/09 18:35:50  kloczek
- release 3: use new %doc.

Revision 1.16  2002/04/25 16:04:31  arturs
fixed a small typo

Revision 1.15  2002/04/02 18:36:15  kloczek
- removed using %%{__install} macro.

Revision 1.14  2002/02/22 23:28:44  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/01/18 02:12:33  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/05/27 08:47:40  kloczek
- release 2.

Revision 1.11  2001/05/02 02:43:01  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.10  2000/06/09 07:22:48  kloczek
- added using %%{__make} macro.

Revision 1.9  2000/05/18 16:58:01  kloczek
- spec adapterized.

Revision 1.8  2000/04/10 17:06:16  baggins
- more spelling fixes

Revision 1.7  2000/04/01 11:14:24  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.6  2000/02/22 18:41:27  bszx
- "cp -a" preserves symbolic links ( "install" doesn't )

Revision 1.4  1999/09/02 03:53:46  kloczek
- added using $RPM_OPT_FLAGS,
- more simplifications.

Revision 1.3  1999/09/02 03:35:17  kloczek
- added Group(pl),
- simplifications in %install,
- COPYING and INSTALL removed from %doc (copyright stantment is in Copyright
  field and INSTALL procedure is implemented in spec file),
- cosmetics.

Revision 1.2  1999/09/01 20:39:42  waszi
- small fixes

Revision 1.1  1999/08/22 21:57:33  waszi
- initial release
